Subject: Re: bug#28332: 26.0.50; vc-svn: calling revert-buffer multiple causes scrolling of buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Sep 2021 14:10:53 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked] (Alfred M. Szmidt),  [email-masked]
> Date: Fri, 03 Sep 2021 10:02:45 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> That will move the buffer one line.  The vc-dired buffer in question
> >> If the buffer is shorter than the screen, then g (revert-buffer)
> >> behaves as if previous-line was called.
> >
> > Right, I see this as well, thanks.  It is not specific to SVN, though:
> > I see the same in a vc-dir buffer showing a Git or Bazaar repository.
> 
> I'm not seeing this behaviour (in Emacs 26.1 or 28) -- `g' recenters the
> window, though.  Are there any additional steps needed (than having a
> long list of files in vc-dir and a shorter window than that)?

The recentering _is_ the problem, AFAIU: why does 'g' do that?